Instalacion de Libertya 13.01 y las herramientas de desarrollo

Inicio Foros Foro principal Instalación y Configuración Instalacion de Libertya 13.01 y las herramientas de desarrollo

  • Este debate está vacío.
Viendo 15 entradas - de la 1 a la 15 (de un total de 18)
  • Autor
    Entradas
  • #32366
    Javier Nievas
    Miembro

    Estimados, en la empresa se quiere armar una Pc como servidor con Windows 7 profesional para instalar Libertya 13.01 y las herramientas para desarrollo de componentes para Libertya; Con el objeto de utilizarlo para desarrollar y tener un ambiente de prueba (Base de datos y Aplicación) para implementación y capacitación de los usuarios.

    Entonces, mi pregunta es que debemos instalar para cumplir con este equipo las necesidades que tenemos?

    #37442
    AMEBIS
    Participante

    Deberias instalar Libertya de manera normal, el cual instala PostgreSQL 8.3 y Java 6. Tambien si es que queres trabajar desarrollando componentes para libertya, tenes que instalar Eclipse.

    Saludos

    #37446
    Javier Nievas
    Miembro

    muchas gracias

    #37443
    Javier Nievas
    Miembro

    Perdon que sea tan duro e insistidor, pero es que no entiendo mucho y no quiero me metan el perro la gente que va a trabajar en este proyecto.

    Pc con Windows 7 profesional.
    Descargar Libertya 13.01 para W7 e Instalar en forma manual, entonces se instalan
    PostgreSQL 8.3
    Java 6
    Libertya 13.01
    Descargar e instalar Eclipse para desarrollo de componentes para Libertya y para hacer aplicaciones particulares de la empresa en java con Postgre

    Mis consultas son: que versión de Eclipse debo descargar, de donde puedo bajarlo y si el orden de instalación anterior estan correctos, o me falta algo más? se puede instalar el Java 7 sin que genere problemas a Libertya?

    #37449
    Carranza Carlos
    Participante

    No instales java 7, sólo el 6 (www.oracle.com / java / se / 6 update).
    Eclipse (www.eclipse.org). La última versión anda (juno – 4.2).
    y no te olvides de iReport, por si hay que modificar, por ej. las facturas ( http://sourceforge.net/projects/ireport/files/iReport%20%28classic%29/iReport-3.0.0/ – ojo configurar con compatibilidad para 2.01).
    y primero se instala el java.
    Si ya tenías el java 7 instalado, desinstalalo y limpiá el path.
    En windows el instalador te instala automáticamente el postgresql8.3

    #37450
    AMEBIS
    Participante

    Si vas a instalar en un PC con windows 7, yo directamente borraria todo lo que instale (java, postgresql, etc) y realizaria la instalacion con el instalados automatizado de windows 7.

    Ahi te instala java 6 y postgre 8.3 sin ningun problema.

    Como te comento ccarranza, la version juno de eclipse funciona perfectamente.

    ireport, te recomiendo que instales la 2.0 y tambien la 5.0 para trabajar, pero acordate de compilar siempre en la 2.0

    Saludos

    #37454
    Javier Nievas
    Miembro

    Muchas gracias, entonces para pasar en limpio, Bajo e instalo Libertya 13.01 que me instalara en forma automática Java 6, PostgreSQL 8.3 y Libertya 13.01; luego bajo e instalo Eclipse juno 4.2 x64, y finalmente bajo e instalo IReport 2.0 y 5.0.

    Los fuentes que bajo del sitio, donde deben ir?

    Saludos

    #37456
    AMEBIS
    Participante

    te recomiendo lo que pongas en C: al igual que la instalacion de JAVA y de POSTGRESQL, pone que todo se instale en C:, si es que instalas en archivos de programas, te va a generar problemas a la hora de compilar por los espacios en blancos.

    Saludos

    #37457
    Javier Nievas
    Miembro

    muchas gracias, en cuanto termine de bajar todo me pongo a instalar y cualquier cosa les consulto.

    Saludos

    #37444

    Libertya 13.01 te lo vas a poder descargar perfectamente, en nuestro caso no obtuvimos un buen funcionamiento sobre todo lo que es factura electrónica.

    Y si llegas a hacer los cursos te doy como consejo que pongas énfasis en la importancia que ellos le otorgan al tema de los 30 días que te dan de consultas.

    A nosotros lo que mas nos importaba es todo lo referente a factura electrónica y en los cursos casi no se toca dicho tema, como así tampoco nos sirvió de mucho el instructivo que nos enviaron.

    Igual creo que tiene mucho por dar el soft, pero habría que funcionar mas como comunidad.

    #37445
    Mario Mauprivez
    Participante

    Un par de aclaraciones que me parecen pertinentes:

    Efectivamente los cursos técnicos ( Administración y Parametrización ) se habilitan por 30 días, pero el plazo puede ser prorrogado si el usuario lo solicita. Los plazos son debidos a las restricciones de la plataforma de administración de videos pero no son estrictos.

    Es posible que a veces exista dificultades en la instalación de factura electrónica, pero el procedimiento estándar indicado en los instructivos si funciona. Lo que puede suceder es que existan condiciones particulares en el entorno del cliente, que dificulten la instalación y/o configuración de alguno de los componentes, o bien que exista algún problema específico con el trámite realizado en la AFIP ( la mayor fuente de errores ).

    Creo que con solo ver el tamaño y diversidad de los temas tratados en estos foros se puede ver que realmente estamos funcionando como una comunidad de usuarios. Existen muchas personas que colaboran activamente aportando consejos y experiencia.

    Creo también que no haber tenido suerte en particular con este tema, en el que probablemente existan factores ajenos a Libertya, no desmerece el funcionamiento de la comunidad del producto que se expresa en estos foros, en el Grupo de Linkedin, y en la red de colaboradores permanentes del proyecto.

    Un saludo cordial a todos

    Mario Mauprivez
    Coordinador General Libertya ERP

    #37479
    Javier Nievas
    Miembro

    Estimado, he instalado Libertya y estaba funcionando correctamente, pero hoy no puedo ingresar en la ventana de Entrada al Cliente se queda en el mensaje “Loading Preferences” y la verdad es que no se si se debe a las pruebas que hemos estado realizando en la configuración inicial del mismo, pero pensando bien puede ser las ip del servidor, ayer la cambiamos, aunque la conexión la he configurado por el nombre del servidor y no por la ip?

    Pd: el servidor de prueba es el mismo donde esta la aplicación, y si inicialice el servidor Libertya

    #37480
    mmaupr wrote:
    Un par de aclaraciones que me parecen pertinentes:

    Efectivamente los cursos técnicos ( Administración y Parametrización ) se habilitan por 30 días, pero el plazo puede ser prorrogado si el usuario lo solicita. Los plazos son debidos a las restricciones de la plataforma de administración de videos pero no son estrictos.

    Es posible que a veces exista dificultades en la instalación de factura electrónica, pero el procedimiento estándar indicado en los instructivos si funciona. Lo que puede suceder es que existan condiciones particulares en el entorno del cliente, que dificulten la instalación y/o configuración de alguno de los componentes, o bien que exista algún problema específico con el trámite realizado en la AFIP ( la mayor fuente de errores ).

    Creo que con solo ver el tamaño y diversidad de los temas tratados en estos foros se puede ver que realmente estamos funcionando como una comunidad de usuarios. Existen muchas personas que colaboran activamente aportando consejos y experiencia.

    Creo también que no haber tenido suerte en particular con este tema, en el que probablemente existan factores ajenos a Libertya, no desmerece el funcionamiento de la comunidad del producto que se expresa en estos foros, en el Grupo de Linkedin, y en la red de colaboradores permanentes del proyecto.

    Un saludo cordial a todos

    Mario Mauprivez
    Coordinador General Libertya ERP

    Mario, intuyo que tu respuesta es hacia mi comentario y te agradezco por la misma si fue así. Te pido/invito a que pases por este thread que he creado para que puedas guiarme o encargues a algún técnico suyo a ayudarnos a solucionar el inconveniente: https://www.libertya.org/comunidad/foro-libertya/7-instalacion-y-configuracion/5543-error-configuracion-factura-electronica-cae

    Gracias.

    #37481
    Luis Alberto Toba
    Participante

    jnievas, si la aplicación queda cargando y no abre probablemente debas revisar que el servidor de postgres se encuentre corriendo y la configuración de la base.
    Lo primero que podrías hacer es eliminar el archivo Libertya.properties (archivo que almacena la ultima configuración de acceso) y probar abrir nuevamente.

    Saludos

    #37491
    Javier Nievas
    Miembro

    quiero instalar el Libertya 13.01 en el servidor, desde donde ingresaran los usuarios por escritorio remoto, pero en el mismo tengo corriendo el sistema Tiempo ERP, y mi duda es que si instalo el libertya se generen incompatibilidades entre los motores de base de datos y terminen por fallar ambas bases de datos o no? Lo he buscado en internet pero no he encontrado la respuesta y hasta que no se haya implementado el libertya el otro sistema debe continuar funcionando, así que no lo puedo sacar y por consiguiente tampoco su base de datos

    gracias y saludos

Viendo 15 entradas - de la 1 a la 15 (de un total de 18)
  • Debes estar registrado para responder a este debate.